[Task] Use DataTypeDefinitions in OutputFormatSnakFormatterFactory
Closed, ResolvedPublic

Description

Change OutputFormatSnakFormatterFactory to construct a DispatchingValueSnakFormatter based on factory callbacks from DataTypeDefinitions, similar to how OutputFormatValueFormatterFactory. If possible, the fallback logic using automatic escaping used for ValueFormatters should be re-used for SnakFormatters.

OutputFormatSnakFormatterFactory should fall back to a GenericValueSnakFormatter for any datatype that has no specialized SnakFormatter associated. That GenericValueSnakFormatter would be based on a DispatchingValueFormatter provided by OutputFormatValueFormatterFactory.

daniel created this task.Sep 16 2015, 3:19 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Normal.
daniel moved this task from incoming to ready to go on the Wikidata board.Sep 16 2015, 3:33 PM
daniel moved this task from ready to go to consider for next sprint on the Wikidata board.
Jonas renamed this task from Change OutputFormatSnakFormatterFactory to construct a DispatchingValueSnakFormatter based on factory callbacks from DataTypeDefinitions to [Task] Change OutputFormatSnakFormatterFactory to construct a DispatchingValueSnakFormatter based on factory callbacks from DataTypeDefinitions.Nov 2 2015, 11:46 AM
Jonas set Security to None.
Bene added a subscriber: Bene.Nov 21 2015, 6:29 PM

This is in review but no patch is linked from here?

Huh. https://gerrit.wikimedia.org/r/#/c/253683/ is up for review. Apparently, the bot missed it.

Jonas renamed this task from [Task] Change OutputFormatSnakFormatterFactory to construct a DispatchingValueSnakFormatter based on factory callbacks from DataTypeDefinitions to [Task] Use DataTypeDefinitions in OutputFormatSnakFormatterFactory .Nov 23 2015, 3:37 PM

Change 253683 merged by jenkins-bot:
OutputFormatSnakFormatterFactory to construct SnakFormatter based on factory callbacks

https://gerrit.wikimedia.org/r/253683

daniel closed this task as Resolved.Dec 18 2015, 3:50 PM
daniel claimed this task.